using System.Collections.Generic;
using com.agilefaqs.rft.suggestions;

namespace RefactoringTeaser4sharp.suggestions
{
    public abstract class AbstractIdentityGenerator : IIdentityGenerator
    {
        protected const int TOTAL_SUGGESTIONS = 4;

        protected readonly List<SuggestionStrategy> identityGenerators;

        public AbstractIdentityGenerator(List<SuggestionStrategy> idGenerators)
        {
            identityGenerators = idGenerators;
        }

        public abstract List<string> getGeneratedIDs(SuggestionParam suggestionParam);
    }
}