using System;
using com.agilefaqs.rft.suggestions.strategies;

namespace com.agilefaqs.rft.suggestions
{
    public class IdentitySuggestionThreeStrategy : AbstractCommonSuggestionsStrategy, SuggestionStrategy
    {
        public IdentitySuggestionThreeStrategy(ChildSuggestionFactory childSuggestionFactory)
            : base(childSuggestionFactory)
        {
        }

        public virtual String getIdentity(SuggestionParam suggestionParams)
        {
            ChildStrategyParam childParam =
                new ChildStrategyParam(suggestionParams.ValidFirstNameToken, suggestionParams.CountryMoniker,
                                       suggestionParams.ValidLastNameToken);
            return suggestedIdentity(childParam);
        }
    }
}