using NUnit.Framework;

namespace com.agilefaqs.rft.utils
{
    [TestFixture]
    public class StringUtilsTest
    {
        [Test]
        public void shouldRemoveSpecialCharactersIfAny()
        {
            char[] allowedChars = new char[] {'-'};
            Assert.AreEqual(StringUtils.removeSpecialCharactersIfAny("-Naresh", allowedChars), "Naresh");
            Assert.AreEqual(StringUtils.removeSpecialCharactersIfAny("Naresh-", allowedChars), "Naresh");
            Assert.AreEqual(StringUtils.removeSpecialCharactersIfAny("-Naresh #@-!$ Jain-", allowedChars), "Naresh-Jain");
        }
    }
}