using System;

namespace com.agilefaqs.rft.domain
{
    public class LocationInformation
    {
        public virtual Country Country
        {
            get { return country; }
        }

        public virtual String CountryName
        {
            get { return country.Name; }
        }

        public virtual String CountryMoniker
        {
            get { return country.Moniker; }
        }

        public virtual String City
        {
            get { return city; }
        }

        private readonly Country country;
        private readonly String city;

        public LocationInformation(Country country, String city)
        {
            this.country = country;
            this.city = city;
        }
    }
}