using System;
using com.agilefaqs.rft.domain;

namespace com.agilefaqs.rft.suggestions.strategies
{
    public class FirstNameAppendLastNameStrategy : AbstractChildStrategy
    {
        public FirstNameAppendLastNameStrategy(UserService userService, SuggestionsUtil utils)
            : base(userService, utils)
        {
        }


        public override String generateId(ChildStrategyParam param)
        {
            String token1 = String.Concat(param.Token1, param.Token3);

            String token2 = param.Token2;
            return getIdentity(token1, token2);
        }
    }
}