using System;
using com.agilefaqs.rft.suggestions.strategies;

namespace com.agilefaqs.rft.suggestions
{
    public class IdentitySuggestionTwoStrategy : AbstractCommonSuggestionsStrategy, SuggestionStrategy
    {
        public IdentitySuggestionTwoStrategy(ChildSuggestionFactory childSuggestionFactory)
            : base(childSuggestionFactory)
        {
        }


        public virtual String getIdentity(SuggestionParam suggestionParams)
        {
            ChildStrategyParam childParam =
                new ChildStrategyParam(suggestionParams.ValidFirstNameToken, suggestionParams.CountryName,
                                       suggestionParams.ValidLastNameToken);
            return suggestedIdentity(childParam);
        }
    }
}